echo examples: $1
echo algorithm: $6 
echo dataset: $3
echo dumpfile: $4
echo chunksize: $5

java -Xmx10000m -cp moaDiversityDetector.jar -javaagent:sizeofag.jar -javaagent:sizeofag.jar moa.DoTask "EvaluateDiversity -w $5 -d $6$4.csv -l ($2) -s ($3) -i $1 -f $5"

(
	flock -x -w 10 200 || exit 1

	printf "$4,$6," >> DiversityAverages.csv
	sed '1,2d' $6$4.csv | awk -F ',' '{ test = $2; memory += $18; auc += $5; sauc += $6; accuracy += $7; kappa += $8; holdoutauc += $9; ratio += $10; q += $11; dis += $12; d += $13; kw += $14; cfd += $15; k += $16} END {print test/NR, ",", memory/NR/(1024*1024), ",", auc/NR, ",", sauc/NR, ",", accuracy/NR, ",", kappa/NR, ",", holdoutauc/NR, ",", ratio/NR, ",", q/NR, ",", dis/NR, ",", d/NR, ",", kw/NR, ",", cfd/NR, ",", k/NR, ",", NR}' >> DiversityAverages.csv
) 200>/home/Dabrze/DiversityDagstat/DiversityAverages.exclusivelock
