echo dataset: $1

for i in 2 3 4 5 7 10 15 25 50
do
	echo Bag with $i component classifiers
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_Accuracy.png -w 2 -i (Bag_NB^$i$1.csv,Bag_P^$i$1.csv,Bag_HT^$i$1.csv,Bag_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:][0.5:0.95]) -s -y 7 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Prequential Accuracy';) -d"
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_Q.png -w 2 -i (Bag_NB^$i$1.csv,Bag_P^$i$1.csv,Bag_HT^$i$1.csv,Bag_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:]) -s -y 11 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Q-statistic';) -d"
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_Kappa.png -w 2 -i (Bag_NB^$i$1.csv,Bag_P^$i$1.csv,Bag_HT^$i$1.csv,Bag_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:]) -s -y 16 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Kappa Interrater Agreement';) -d"
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_CFD.png -w 2 -i (Bag_NB^$i$1.csv,Bag_P^$i$1.csv,Bag_HT^$i$1.csv,Bag_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:]) -s -y 15 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Coincident Failure Diversity';) -d"
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_Disagreement.png -w 2 -i (Bag_NB^$i$1.csv,Bag_P^$i$1.csv,Bag_HT^$i$1.csv,Bag_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:]) -s -y 12 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Disagreement';) -d"
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_DoubleFault.png -w 2 -i (Bag_NB^$i$1.csv,Bag_P^$i$1.csv,Bag_HT^$i$1.csv,Bag_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:]) -s -y 13 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Double Fault';) -d"
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_KW.png -w 2 -i (Bag_NB^$i$1.csv,Bag_P^$i$1.csv,Bag_HT^$i$1.csv,Bag_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:]) -s -y 14 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Kohavi-Wolpert Variance';) -d"
	
	echo AUE with $i component classifiers
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_Accuracy.png -w 2 -i (AUE_NB^$i$1.csv,AUE_P^$i$1.csv,AUE_HT^$i$1.csv,AUE_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:][0.5:0.95]) -s -y 7 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Prequential Accuracy';) -d"
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_Q.png -w 2 -i (AUE_NB^$i$1.csv,AUE_P^$i$1.csv,AUE_HT^$i$1.csv,AUE_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:]) -s -y 11 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Q-statistic';) -d"
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_Kappa.png -w 2 -i (AUE_NB^$i$1.csv,AUE_P^$i$1.csv,AUE_HT^$i$1.csv,AUE_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:]) -s -y 16 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Kappa Interrater Agreement';) -d"
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_CFD.png -w 2 -i (AUE_NB^$i$1.csv,AUE_P^$i$1.csv,AUE_HT^$i$1.csv,AUE_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:]) -s -y 15 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Coincident Failure Diversity';) -d"
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_Disagreement.png -w 2 -i (AUE_NB^$i$1.csv,AUE_P^$i$1.csv,AUE_HT^$i$1.csv,AUE_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:]) -s -y 12 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Disagreement';) -d"
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_DoubleFault.png -w 2 -i (AUE_NB^$i$1.csv,AUE_P^$i$1.csv,AUE_HT^$i$1.csv,AUE_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:]) -s -y 13 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Double Fault';) -d"
	java -cp moaDiversity.jar -javaagent:sizeofag.jar moa.DoTask "Plot -e D:\Tools\Gnuplot\bin -t PNG -r Images/$i$1_KW.png -w 2 -i (AUE_NB^$i$1.csv,AUE_P^$i$1.csv,AUE_HT^$i$1.csv,AUE_J48^$i$1.csv) -a (NB,P,VFDT,J48) -v 4 -z ( [1000:]) -s -y 14 -k NOBOX_VERTICAL -c ( set format y '%1.2f'; set ylabel 'Kohavi-Wolpert Variance';) -d"
done
