printf "Data set,Algorithm,Measure,Run,Testing time [s],Memory [B], Total alarms, First detection, Evaluated samples\n" > PHTestAverages.csv

i=1
until [  $i -gt 10 ]; do

	for m in ACCURACY Q_STATISTIC DISAGREEMENT KOHAVI_WOLPERT KAPPA_AGREEMENT DOUBLE_FAULT CFD
	do
	./dataSetsDiversityPHTest.sh "drift.SingleClassifierDrift -l (meta.OzaBag -l (trees.HoeffdingTree -l NB)) -d (PageHinkleyDiversityDriftDetector -d 0.1 -l 100.0 -w 1000 -m $m)" "1000" "Bag_1k"                         "$i" "$m"
	./dataSetsDiversityPHTest.sh "drift.SingleClassifierDrift -l (meta.OzaBag -l (trees.HoeffdingTree -l NB)) -d (PageHinkleyDiversityDriftDetector -d 0.1 -l 100.0 -w 2000 -m $m)" "1000" "Bag_2k"                         "$i" "$m" &
	./dataSetsDiversityPHTest.sh "drift.SingleClassifierDrift -l (meta.OzaBag -l (trees.HoeffdingTree -l NB)) -d (PageHinkleyDiversityDriftDetector -d 0.1 -l 100.0 -w 3000 -m $m)" "1000" "Bag_3k"                         "$i" "$m" 
	./dataSetsDiversityPHTest.sh "drift.SingleClassifierDrift -l (meta.OzaBag -l (trees.HoeffdingTree -l NB)) -d (PageHinkleyDiversityDriftDetector -d 0.1 -l 100.0 -w 4000 -m $m)" "1000" "Bag_4k"                         "$i" "$m" &
	./dataSetsDiversityPHTest.sh "drift.SingleClassifierDrift -l (meta.OzaBag -l (trees.HoeffdingTree -l NB)) -d (PageHinkleyDiversityDriftDetector -d 0.1 -l 100.0 -w 5000 -m $m)" "1000" "Bag_5k"                         "$i" "$m"
	done

	let i+=1
done 

