#NO DRIFT
./moaDiversityPrequential.sh 100000 "$1" "generators.SEAGenerator -i 111 -f 1 -b" SEANoDrift "$2" "$3"

#RATIO CHANGE
./moaDiversityPrequential.sh 1000000 "$1" "ConceptDriftStream -s (generators.SEAGenerator -f 1 -r 1 -b) -d (ConceptDriftStream -s (generators.SEAGenerator -f 1 -r 100 -b) -d (ConceptDriftStream -s (generators.SEAGenerator -f 1 -r 10 -b)   -d (generators.SEAGenerator -f 1 -r 1 -b) -w 50 -p 250000 ) -w 50 -p 250000 ) -w 50 -p 250000" SEARatioChange "$2" "$3"
./moaDiversityPrequential.sh 500000 "$1" "generators.HyperplaneGenerator -c 2 -k 5 -t 0 -r 100 -b -g 500 -l 499000" HyperplaneGradualRatioChange "$2" "$3"

#INCREMENTAL SLOW
./moaDiversityPrequential.sh 500000 "$1" "generators.HyperplaneGenerator -c 2 -k 5 -t 0.001" HyperplaneSlowR1 "$2" "$3"
./moaDiversityPrequential.sh 500000 "$1" "generators.HyperplaneGenerator -c 2 -k 5 -t 0.001 -r 10 -b" HyperplaneSlowR10 "$2" "$3"
./moaDiversityPrequential.sh 500000 "$1" "generators.HyperplaneGenerator -c 2 -k 5 -t 0.001 -r 100 -b" HyperplaneSlowR100 "$2" "$3"

#SUDDEN
./moaDiversityPrequential.sh 1000000 "$1" "ConceptDriftStream -s (generators.SEAGenerator -f 1) -d (ConceptDriftStream -s (generators.SEAGenerator -f 2) -d (ConceptDriftStream -s (generators.SEAGenerator -f 3)   -d (generators.SEAGenerator -f 4) -w 50 -p 250000 ) -w 50 -p 250000 ) -w 50 -p 250000" SEASuddenR1 "$2" "$3" 
./moaDiversityPrequential.sh 1000000 "$1" "ConceptDriftStream -s (generators.SEAGenerator -f 1 -r 10 -b) -d (ConceptDriftStream -s (generators.SEAGenerator -f 2 -r 10 -b) -d (ConceptDriftStream -s (generators.SEAGenerator -f 3 -r 10 -b)   -d (generators.SEAGenerator -f 4 -r 10 -b) -w 50 -p 250000 ) -w 50 -p 250000 ) -w 50 -p 250000" SEASuddenR10 "$2" "$3"
./moaDiversityPrequential.sh 1000000 "$1" "ConceptDriftStream -s (generators.SEAGenerator -f 1 -r 100 -b) -d (ConceptDriftStream -s (generators.SEAGenerator -f 2 -r 100 -b) -d (ConceptDriftStream -s (generators.SEAGenerator -f 3 -r 100 -b)   -d (generators.SEAGenerator -f 4 -r 100 -b) -w 50 -p 250000 ) -w 50 -p 250000 ) -w 50 -p 250000" SEASuddenR100 "$2" "$3"

# REAL DATA SETS
./moaDiversityPrequential.sh 539383 "$1" "ArffFileStream -f airlines.arff" Airlines "$2" "$3"
./moaDiversityPrequential.sh 50000 "$1" "ArffFileStream -f pakdd09.arff" PAKDD09 "$2" "$3"

#BLIPS
./moaDiversityPrequential.sh 1000000 "$1" "ConceptDriftStream -s (generators.RandomRBFGenerator -c 2 -a 20) -d (ConceptDriftStream -s (generators.RandomRBFGenerator -r 5 -i 5 -c 2 -a 20 -n 25) -d (ConceptDriftStream -s (generators.RandomRBFGenerator -c 2 -a 20) -d (ConceptDriftStream -s (generators.RandomRBFGenerator -r 13 -c 2 -a 20 -n 13) -d (generators.RandomRBFGenerator -c 2 -a 20) -a 80.0 -p 249900 -w 200 -r 21) -a 80.0 -p 249900 -w 200 -r 23) -a 80.0 -p 249900 -w 200 -r 2) -a 80.0 -p 249900 -w 200" RBFBlips "$2" "$3"