echo iteration: $7
echo examples: $1
echo algorithm: $6 
echo measure: $8
echo dataset: $3
echo dumpfile: $4
echo chunksize: $5
java -Xmx10000m -cp moaDiversityDetector.jar -javaagent:sizeofag.jar moa.DoTask "EvaluatePrequentialMonitorDrifts -d $6$8$4_$7.csv -l ($2) -s ($3) -i $1 -f $5"

(
	flock -x -w 10 200 || exit 1
	printf "$4,$6,$8,$7," >> PHTestAverages.csv
	sed '1,2d' $6$8$4_$7.csv | awk -F ',' '{ test = $2; memory += $9; alarms += $10; detection = (($10 == 1) ? (detection "|" $1) : (detection));} END {print test/NR, ",", memory/NR/(1024*1024), ",", alarms, ",", detection, ",", NR}' >> PHTestAverages.csv
	rm $6$8$4_$7.csv
) 200>/home/Dabrze/DiversityChangeDetector/PH_Tests/PHTestAverages.exclusivelock

